/*
 *     
 *
 *     "cm.h"            
 */

extern small dcdscan[], dcdcontrol[], dcdhome[], dcdesc[];
extern char Event[];

#define CA_EXT      004
#define CA_CHANGE   010
#define CA_RPT      020
#define CA_WP       0040
#define CA_NEND     0100
#define CA_NBEG     0200
#define CA_LCUT     0400

#define E_OK        0
#define E_NOCOM     1
#define E_CHANGE    2
#define E_KBREAK    3
#define E_UP        4
#define E_DOWN      5
#define E_NOUNDO    6

#define E_MOVBEG    11
#define E_MOVEND    12
#define E_EDTBEG    13
#define E_EDTEND    14
#define E_ATTR      15
#define E_ILCHAR    16
#define E_CCFUL     17

#define E_LCUT      21
#define E_MOVUP     22
#define E_MOVDOWN   23
#define E_WIGHT     24
#define E_SETY      25
#define E_LPASTE    26
#define E_NOBLOCK   27
#define E_BLOCKOUT  28
#define E_SFAIL     29
#define E_NOSPAT    30
#define E_NORPAT    31
#define E_ROUT      32
#define E_FORMAT    33
#define E_CPFER     34
#define E_PRINT     35
#define E_FINDER    36

#define E_NOMEM     37

#ifdef C93
#define E_CERR      38
#define E_COK       39
#define SUCCESS_EXIT_CODE E_COK
#define FATAL_EXIT_CODE   E_CERR
#define FAILURE_EXIT_CODE E_CERR
#endif
#define E_MAX       64

#define RQ_EXEC     1
#define RQ_WAIT     2
