/*
 *      nanoMir
 *
 *      "stuf_vms.c       OS dependent stuffs ( VMS )
 */

#include "nm.h"
#include <descrip.h>
#include <ssdef.h>
#include <stdio.h>
#include <errno.h>

$DESCRIPTOR (term, "SYS$COMMAND");
$DESCRIPTOR (syscom, "");
$DESCRIPTOR (prompt, "NM> ");
char command[] = "";
static void *cmd;

void
fileexec (register char *file)
{
  register char *p, *p1;
  register int stat;
  local char fnbuf[MAXPATH + 100];
  local char base[MAXPATH];
  bool fnf = FALSE;
  int s;
  if (*file)
    {
      for (p = file; *p++;);
      p--;
      while (*--p != '.');
      p++;
      for (p1 = p; *p1 != ';'; p1++);
      *sncpy (p, base, p1 - p) = 0;
#if 0
      sprintf (fnbuf, "%s%s.com", nmlocal, base);
#else
      sprintf (fnbuf, "%s%s.com", nmlocal, base);
      cmd = 0;
#endif
      if (access (fnbuf, 01))
	fnf = TRUE;
      else
	sprintf (fnbuf, "@%s%s.com %s", nmlocal, base, file);
    }

#if 0
  else
    strcpy (fnbuf, "spa /inp=tt /out=tt/nolog /prompt=\"NM> \"");
#else
  else
    {
      fnbuf[0] = 0;
      cmd = &term;
    }
#endif

#ifndef  X11
  scErase ();
  scDetach ();
  kbDetach ();
#endif
  {
    char exbuf[MAXPATH + 105];
    if (fnf)
      {
	printf ("I don't know how execute file %s\n", file);
	s = 1;
	stat = 0;
      }
    else
      {
#if 0
	sprintf (exbuf, "%s", fnbuf);
	stat = system (exbuf);
#else
	stat = 0;
	syscom.dsc$w_length = slen (fnbuf);
	syscom.dsc$a_pointer = fnbuf;
	s =
	  lib$spawn (&syscom, cmd, &term, 0, 0, 0, &stat, 0, 0, 0, &prompt, 0,
		     0);
#endif
      }
  }
  if (!(s & 1))
    {
      printf ("NM: error of executing process : %s \n   press Return\n",
	      strerror (EVMSERR, s));
      getchar ();
    }
  else if (*file)
    {
#ifdef X11
      printf ("NM: stat=%d\n", stat);
#else
      printf ("NM: stat=%d - press Return\n", stat);
      getchar ();
#endif
    }
#ifndef  X11
  kbAttach ();
  scAttach ();
  scErase ();
#endif
}

void
stufTerm ()
{
}
