#include "kbdecterm.h"

#define MAXTABS 50
#define MAXLENTAB 200
#define FILE_NAME "decterm.kb"

short origin_table[] = {

CTRL_2          , 0000,                  -1,
CTRL_A          , 0001,                  -1,
CTRL_B          , 0002,                  -1,
CTRL_C          , 0003,                  -1,
CTRL_D          , 0004,                  -1,
CTRL_E          , 0005,                  -1,
CTRL_F          , 0006,                  -1,
CTRL_G          , 0007,                  -1,
CTRL_H          , 0010,                  -1,
Tab             , 0011,                  -1,
CTRL_J          , 0012,                  -1,
CTRL_K          , 0013,                  -1,
CTRL_L          , 0014,                  -1,
Return          , 0015,                  -1,
CTRL_N          , 0016,                  -1,
CTRL_O          , 0017,                  -1,
CTRL_P          , 0020,                  -1,
CTRL_Q          , 0021,                  -1,
CTRL_R          , 0022,                  -1,
CTRL_S          , 0023,                  -1,
CTRL_T          , 0024,                  -1,
CTRL_U          , 0025,                  -1,
CTRL_V          , 0026,                  -1,
CTRL_W          , 0027,                  -1,
CTRL_ZB         , 0030,                  -1,
CTRL_Y          , 0031,                  -1,
CTRL_Z          , 0032,                  -1,

CTRL_4          , 0034,                  -1,
CTRL_5          , 0035,                  -1,
CTRL_6          , 0036,                  -1,
CTRL_7          , 0037,                  -1,
ZB              , 0177,                  -1,

N0              , 033,'O','p',           -1,
N1              , 033,'O','q',           -1,
N2              , 033,'O','r',           -1,
N3              , 033,'O','s',           -1,
N4              , 033,'O','t',           -1,
N5              , 033,'O','u',           -1,
N6              , 033,'O','v',           -1,
N7              , 033,'O','w',           -1,
N8              , 033,'O','x',           -1,
N9              , 033,'O','y',           -1,
COMMA           , 033,'O','l',           -1,
DOT             , 033,'O','n',           -1,
MINUS           , 033,'O','m',           -1,
Enter           , 033,'O','M',           -1,
UP              , 033,'[','A',           -1,
DOWN            , 033,'[','B',           -1,
RIGHT           , 033,'[','C',           -1,
LEFT            , 033,'[','D',           -1,
PF1             , 033,'O','P',           -1,
PF2             , 033,'O','Q',           -1,
PF3             , 033,'O','R',           -1,
PF4             , 033,'O','S',           -1,
F6              , 033,'[','1','7','~',   -1,
F7              , 033,'[','1','8','~',   -1,
F8              , 033,'[','1','9','~',   -1,
F9              , 033,'[','2','0','~',   -1,
F10             , 033,'[','2','1','~',   -1,
F11             , 033,'[','2','3','~',   -1,
F12             , 033,'[','2','4','~',   -1,
F13             , 033,'[','2','5','~',   -1,
F14             , 033,'[','2','6','~',   -1,
Help            , 033,'[','2','8','~',   -1,
Do              , 033,'[','2','9','~',   -1,
F17             , 033,'[','3','1','~',   -1,
F18             , 033,'[','3','2','~',   -1,
F19             , 033,'[','3','3','~',   -1,
F20             , 033,'[','3','4','~',   -1,
Select          , 033,'[','4',           -1,
PrevScreen      , 033,'[','5',           -1,
NextScreen      , 033,'[','6',           -1,-1};

short special_table[] = {

CTRL_3          , 033,

-1};

#include "gentab.c"

