/*
 *     nanoMir
 *
 *     "me.c"           Memory manager
 */

/*#define MEDEBUG*/

#include "nm.h"
#include "me.h"
#ifdef MIM_SVR4
#ifdef abs
#undef abs
#endif /* In some Unix (eg UnixWare) in the stdlib.h this strings are absent */
#include <stdlib.h>
#endif
#ifdef SVR3
extern void *malloc (size_t n);
extern void *realloc (void *addr, size_t n);
extern void free (void *addr);
#endif
#ifdef MEDEBUG
local char *status = "before";
#endif

void *
GetMain (small n)
{
  register void *p;
  if (n <= 0)
    otkaz ("GetMain");
  if ((p = meAlloc (NIL, n)) == NIL)
    otkaz ("Getmain");
  return p;
}

void
meInit ()
{
#ifdef MEDEBUG
  status = "";
#endif
}

char *
meAlloc (void *addr, large len)
{
#ifdef MEDEBUG
  printf ("me: meAlloc: addr=%x len=%d %s \n", addr, len, status);
#endif
  if (len == 0)
    return addr;
  if (addr == NIL)
    return malloc (len);
  else
    return realloc (addr, len);
}

void
meFree (void *addr)
{
#ifdef MEDEBUG
  printf ("me: meFree: addr=%x %s \n", addr, status);
#endif
  if (addr != NIL)
    free (addr);
}
