#include "kbpca-ANSI.h"

#define MAXTABS 50
#define MAXLENTAB 200
#define FILE_NAME "pca-ANSI.kb"

short origin_table[] = {

CTRL_A          , 0001,                  -1,
CTRL_B          , 0002,                  -1,
CTRL_C          , 0003,                  -1,
CTRL_D          , 0004,                  -1,
CTRL_E          , 0005,                  -1,
CTRL_F          , 0006,                  -1,
CTRL_G          , 0007,                  -1,
ZB              , 0010,                  -1,
Tab             , 0011,                  -1,
CTRL_J          , 0012,                  -1,
CTRL_K          , 0013,                  -1,
CTRL_L          , 0014,                  -1,
Enter           , 0015,                  -1,
CTRL_N          , 0016,                  -1,
CTRL_O          , 0017,                  -1,
CTRL_P          , 0020,                  -1,
CTRL_Q          , 0021,                  -1,
CTRL_R          , 0022,                  -1,
CTRL_S          , 0023,                  -1,
CTRL_T          , 0024,                  -1,
CTRL_U          , 0025,                  -1,
CTRL_V          , 0026,                  -1,
CTRL_W          , 0027,                  -1,
CTRL_X          , 0030,                  -1,
CTRL_Y          , 0031,                  -1,
CTRL_Z          , 0032,                  -1,

CTRL_6          , 0036,                  -1,

UP              , 033,'[','A',           -1,
DOWN            , 033,'[','B',           -1,
RIGHT           , 033,'[','C',           -1,
LEFT            , 033,'[','D',           -1,
F1              , 033,'O','P',           -1,
F2              , 033,'O','Q',           -1,
F3              , 033,'O','R',           -1,
F4              , 033,'O','S',           -1,

F6              , 033,'[','1','7',0176,  -1,
F7              , 033,'[','1','8',0176,  -1,
F8              , 033,'[','1','9',0176,  -1,
F9              , 033,'[','2','0',0176,  -1,
F10             , 033,'[','2','1',0176,  -1,

SHIFT_F1        , 033,'[','2','3',0176,  -1,
SHIFT_F2        , 033,'[','2','4',0176,  -1,
SHIFT_F3        , 033,'[','2','5',0176,  -1,
SHIFT_F4        , 033,'[','2','6',0176,  -1,
SHIFT_F5        , 033,'[','2','8',0176,  -1,
SHIFT_F6        , 033,'[','2','9',0176,  -1,
SHIFT_F7        , 033,'[','3','1',0176,  -1,
SHIFT_F8        , 033,'[','3','2',0176,  -1,
SHIFT_F9        , 033,'[','3','3',0176,  -1,
SHIFT_F10       , 033,'[','3','4',0176,  -1,

Home            , 033,'[','1',0176,      -1,
Insert          , 033,'[','2',0176,      -1,
Delete          , 033,'[','3',0176,      -1,
End             , 033,'[','4',0176,      -1,
-1 };

short special_table[] = {
ESC             , 033,
-1};

#include "gentab.c"
