/*
 * File "kbxlinux-vvb.h"
 * Definitions of virtual keyboard commands for xterm
 */

#define CTRL_A          0401
#define CTRL_B          0402
#define CTRL_C          0403
#define CTRL_D          0404
#define CTRL_E          0405
#define CTRL_F          0406
#define CTRL_G          0407
#define CTRL_H          0410
#define Tab             0411
#define CTRL_I          Tab
#define CTRL_J          0412
#define CTRL_K          0413
#define CTRL_L          0414
#define Return          0415
#define CTRL_M          Return
#define CTRL_N          0416
#define CTRL_O          0417
#define CTRL_P          0420
#define CTRL_Q          0421
#define CTRL_R          0422
#define CTRL_S          0423
#define CTRL_T          0424
#define CTRL_U          0425
#define CTRL_V          0426
#define CTRL_W          0427
#define CTRL_X          0430
#define CTRL_Y          0431
#define CTRL_Z          0432

#define ESC             0433

#define CTRL_6          0436
#define ZB              0440
#define BackSpace       ZB

#define UP              0461
#define DOWN            0462
#define RIGHT           0463
#define LEFT            0464

#define F1              0500
#define F2              0501
#define F3              0502
#define F4              0503
#define F5              0504
#define F6              0505
#define F7              0506
#define F8              0507
#define F9              0510
#define F10             0511
#define PrintScreen     0512
#define ScrollLock      0513
#define Pause           0514

#define Insert          0517
#define Delete          0520
#define Home            0521
#define End             0522
#define PageUp          0523
#define PageDown        0524

#define SHIFT_F1        0525
#define SHIFT_F2        0526
#define SHIFT_F3        0527
#define SHIFT_F4        0530
#define SHIFT_F5        0531
#define SHIFT_F6        0532
#define SHIFT_F7        0533
#define SHIFT_F8        0534
#define SHIFT_F9        0535
#define SHIFT_F10       0536

#define NumLock         0550
#define SLASH           0551
#define STAR            0552
#define MINUS           0553
#define PLUS            0554
#define Enter           0555
#define DOT             0556
#define N0              0557
#define N1              0561
#define N2              0562
#define N3              0563
/*... #define N4              0564 Coincides with TE_FOCUS ...*/
#define N5              0565
#define N6              0566
#define N7              0567
#define N8              0600
#define N9              0601
#define N4              0602

#define PF1             NumLock
#define PF2             SLASH
#define PF3             STAR
#define PF4             MINUS

#define LeftAltDelete   0605
#define POINT           0606
#define F11             0607
#define F12             0610

#define SHIFT_Tab       0700
#define SHIFT_Return    0701
#define SHIFT_ZB        0702
#define SHIFT_Delete    0702
#define SHIFT_UP        0703
#define SHIFT_DOWN      0704
#define SHIFT_RIGHT     0705
#define SHIFT_LEFT      0706
#define SHIFT_Insert    0707
#define SHIFT_Home      0710
#define SHIFT_End       0711
#define SHIFT_PageUp    0712
#define SHIFT_PageDown  0713

#define CTRL_SHIFT_F1   0720
#define CTRL_SHIFT_F2   0721
#define CTRL_SHIFT_F3   0722
#define CTRL_SHIFT_F4   0723
#define CTRL_SHIFT_F5   0724
#define CTRL_SHIFT_F6   0725
#define CTRL_SHIFT_F7   0726
#define CTRL_SHIFT_F8   0727
#define CTRL_SHIFT_F9   0730
#define CTRL_SHIFT_F10  0731

#define CTRL_F1         0732
#define CTRL_F2         0733
#define CTRL_F3         0734
#define CTRL_F4         0735
#define CTRL_F5         0736
#define CTRL_F6         0737
#define CTRL_F7         0740
#define CTRL_F8         0741
#define CTRL_F9         0742
#define CTRL_F10        0743

#define CTRL_ZB         0744
#define CTRL_BackSpace  CTRL_ZB
#define CTRL_Tab        0745
#define CTRL_Return     0746
#define CTRL_Insert     0747

#define CTRL_F11        0750
#define CTRL_F12        0751
#define CTRL_SHIFT_F11  0752
#define CTRL_SHIFT_F12  0753

#define CTRL_UP         0754
#define CTRL_DOWN       0755
#define CTRL_RIGHT      0756
#define CTRL_LEFT       0757

#define Do              0760
#define ShiftDo         0761
#define F17             0762
#define F18             0763
#define F19             0764
#define F20             0765
#define Find            0766
#define ShiftFind       0767
#define Remove          0770
#define ShiftRemove     0771
#define Select          0772
#define ShiftSelect     0773
#define Help            0774
#define SHIFT_DELETE    0775
