/*
 *     nanoMir
 *
 *     "wd.h"           Windows
 */

#define TW_EM   0
#define TW_IL   1
#define TW_DL   2
#define TW_RP   3

extern wnd *wdWindow (large wd);
extern large wdDesc (wnd * w);
extern wnd *WdNew (small typ, small num), *WdFree (wnd *);
extern wnd *WdNext (small, small);
extern wnd * WdGetNext (wnd * w_curr);
extern wnd * WdGetPrev (wnd * w_curr);
extern wnd *WdNear (wnd * ww, small x, small y, small dx, small dy);
extern void WdShowboxes (void);
extern void wndop (small, txt *);
extern void wrdrw (wnd *);
extern void wroll (wnd *);
extern void wredraw (wnd *);
extern void w_clear (wnd *);
extern void wadjust (wnd *, small, large);
#ifdef X11
extern void wrdrwcallback (wnd * w, small x0, small x1, small y0, small y1);
#endif
extern void wpos (wnd *, small, small);
extern void wblock (wnd *, box);
extern void wblockoff (wnd * w);
/* extern void wtext();*//* (w, tchar *string, small len) */

extern small wxmin, wxmax, wymin, wymax, wdx, wdy;

extern wnd windows[MAXWNDWS];
