
/*
 *     nanoMir
 *
 *     "xi.h"           X-interface
 */

extern void xiAttach ();
extern void xiDetach ();
extern bool xiCreateWindow (wnd * w);
extern void xiDestroyWindow (wnd * w);
extern void xiChangeName (wnd * w, char *name);
extern void xiChangeIconName (wnd * w, char *name);
extern void xiTranslateCoord (wnd * w, int *x, int *y);
extern int xiStdX ();
extern int xiStdY ();
extern int xiStdWidth ();
extern int xiStdHeight ();
extern int xiSTX ();
extern int xiSTY ();
extern void xiPos (wnd * w, small x, large y);
extern void xiClear (wnd * w);
extern void xiBlkOn (wnd * w, box b);
extern void xiBlkOff (wnd * w);
extern void xiRedraw (wnd * w, small x0, small x1, small y0, small y1);
extern void xiText (wnd * w, int x, int y, tchar * tp, int l);
extern void xiSpaces (wnd * w, int x, int y, int l);
extern void xiTxblt (wnd * w, int x0, int y0, int x1, int y1, int dx, int dy);
extern void xiWaitEvent ();
extern bool xiCheckEvent ();
extern void xiFlush ();
extern void xiMarkSelection ();
char * xiGetSelectionString ();

#define MAX_COLOR_NAME 64
#define pix xcolor.pixel
typedef struct
{
  XColor xcolor;
  char name[MAX_COLOR_NAME];
}
color;

extern unsigned short xiKey;
extern wnd *xiTWnd;
extern small xiTx;
extern large xiTy;

#if 1
#define NMFULLNAME      "xmim"
#define NMNAME          "xmim"
#define NMCLASS         "xmim"
#else
#define NMFULLNAME "XnanoMir"
#define NMNAME    "Xnm"
#define NMCLASS   "Xnm"
#endif

extern Display *dpy;


struct dbvalue
{
  void *dbv_value;
  bool dbv_changed;
};

extern struct dbvalue dbGeostr, dbIconGeostr;
extern struct dbvalue dbForeground, dbBackground;
extern struct dbvalue dbTcForeground, dbTcBackground;
extern struct dbvalue dbStForeground, dbStBackground;
extern struct dbvalue dbErForeground, dbErBackground;
extern struct dbvalue dbIcForeground, dbIcBackground;
extern struct dbvalue dbBorderWidth;
extern struct dbvalue dbPad;
extern struct dbvalue dbFontName;

extern bool xiLocked;
extern void xiLock ();
extern void xiUnLock (bool q);
extern void scbell ();

extern wnd * xiNextWindow (wnd *w_curr);
extern wnd * xiPrevWindow (wnd *w_curr);
